=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 11 Oct 2024 09:20:36 +0200

xdg-desktop-portal-trinity (0.1-0) unstable; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 06 Oct 2024 12:54:00 +0900
