## xdg-desktop-portal-trinity 14.1.5

=== interfaces/CMakeLists.txt ===
--- 
+++ 
@@ -50,4 +50,4 @@
         DESTINATION ${DBUS_SESSION_DIRECTORY})
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xdg-desktop-portal-tde.desktop
-        DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
+        DESTINATION ${XDG_APPS_INSTALL_DIR})
