## xdg-desktop-portal-trinity 14.1.6~pre0

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 30c096d5edc6127e0c70be415a4bb86e28bac821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
