## xdg-desktop-portal-trinity 14.1.6~pre1

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 21f2d97a7a421060c90e4cfda57de9bf452bbc55
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:07:52 +0100
