## xdg-desktop-portal-trinity 14.2.0~pre26

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.2.0~pre26-0ubuntu26.04.0+5~a) resolute; urgency=low

  * Automated git build for 8beb22bcd5fe238abaa1912e1c44144c448a0e27
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
