## xdg-desktop-portal-trinity 14.2.0~pre27

=== debian/changelog ===
xdg-desktop-portal-trinity (4:14.2.0~pre27-0ubuntu26.04.0+5~a) resolute; urgency=low

  * Automated git build for 25bf8ca2297eaae3a422136416082a78a172ab3e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#xdg-desktop-portal-tde

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:08:57 +0100
